apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.shippingservice.name }}
spec:
  replicas: {{ .Values.shippingservice.replicaCount }}
  selector:
    matchLabels:
      app: {{ .Values.shippingservice.name }}
  template:
    metadata:
      labels:
        app: {{ .Values.shippingservice.name }}
    spec:
      containers:
      - name: {{ .Values.shippingservice.name }}
        image: "{{ .Values.shippingservice.image.repository }}:{{ .Values.shippingservice.image.tag }}"
        ports:
        - containerPort: {{ .Values.shippingservice.service.port }}
        env:
        - name: APP_PORT
          value: "{{ .Values.shippingservice.env.appPort }}"
        - name: GOTRACEBACK
          value: "{{ .Values.shippingservice.env.goTraceback }}"
        - name: DISABLE_PROFILER
          value: "{{ .Values.shippingservice.env.disableProfiler }}"
